summaryrefslogtreecommitdiffstats
path: root/desktop/mh5000
diff options
context:
space:
mode:
author Mike Heras2017-09-29 18:39:01 +0200
committer Willy Sudiarto Raharjo2017-09-30 02:19:16 +0200
commitd31625e3318094eada341fd81e05be79252eb666 (patch)
tree2fd9c93c4421dceb24269b4f583e93b7bb11d575 /desktop/mh5000
parent8fec1f407bd5d4ecded4861ab301d8d6f3a01b5d (diff)
downloadslackbuilds-d31625e3318094eada341fd81e05be79252eb666.tar.gz
desktop/mh5000: Added (Sets and Changes Background Image).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop/mh5000')
-rw-r--r--desktop/mh5000/README13
-rw-r--r--desktop/mh5000/mh5000.SlackBuild94
-rw-r--r--desktop/mh5000/mh5000.info10
-rw-r--r--desktop/mh5000/slack-desc19
4 files changed, 136 insertions, 0 deletions
diff --git a/desktop/mh5000/README b/desktop/mh5000/README
new file mode 100644
index 0000000000..746f4c8d49
--- /dev/null
+++ b/desktop/mh5000/README
@@ -0,0 +1,13 @@
+A more better background image setter
+
+is a background image setter. Just not any ole background setter,
+like all the others. It is a command line based utility where users
+who want to set a background image with maybe a bit more flar then
+other command line background image setters do. It can do so.
+
+Yes, it can still do the plain ole' background settings, or it can set
+one image at whatever size given as well as. It also has the ability
+to change the image at a given time interval. Depending on the commands
+choosen it can keep the same image while changing the color(s) or vice versa.
+Even display a multitude of colors, with or without an image.
+Along with many other options.
diff --git a/desktop/mh5000/mh5000.SlackBuild b/desktop/mh5000/mh5000.SlackBuild
new file mode 100644
index 0000000000..091ed85cf3
--- /dev/null
+++ b/desktop/mh5000/mh5000.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+#
+# Slackware build script for mh5000
+#
+# Copyright 2017 Michael Heras USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mh5000
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -ue
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS -std=lX11" \
+
+make
+
+mkdir -p $PKG/usr/bin
+install -m755 src/mh5000 $PKG/usr/bin
+
+# Install the manpage
+install -Dm644 mh5000.1 $PKG/usr/man/man1/mh5000.1
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/mh5000/mh5000.info b/desktop/mh5000/mh5000.info
new file mode 100644
index 0000000000..8dc1eb1787
--- /dev/null
+++ b/desktop/mh5000/mh5000.info
@@ -0,0 +1,10 @@
+PRGNAM="mh5000"
+VERSION="1.0"
+HOMEPAGE="https://sourceforge.net/projects/mh5000/"
+DOWNLOAD="https://sourceforge.net/projects/mh5000/files/mh5000-1.0.tar.gz"
+MD5SUM="80274e8e096d554d0b22ae3f92ab0088"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="imlib2"
+MAINTAINER="Mike Heras"
+EMAIL="userxbw@gmail.com"
diff --git a/desktop/mh5000/slack-desc b/desktop/mh5000/slack-desc
new file mode 100644
index 0000000000..3206ade390
--- /dev/null
+++ b/desktop/mh5000/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mh5000: mh5000 (Sets and changes background image)
+mh5000:
+mh5000: Background image setter
+mh5000:
+mh5000:
+mh5000:
+mh5000:
+mh5000:
+mh5000:
+mh5000:
+mh5000: Homepage: https://sourceforge.net/projects/mh5000/